Grimoire is a PostgreSQL database underlying other systems on the AniNIX, including [AniNIX/Singularity](../Singularity)

# Etymology
A [grimoire](http://en.wikipedia.org/wiki/Grimoire) is historically a collection of magical knowledge and the ability summon spirits or daemons. Similarly, Singularity adds knowledge to be read from the Grimoire, and Wiki includes the methodology to start the daemon processes being run on the network.

# Relevant Files and Software
Grimoire has a user, postgres, with a home directory of `/var/lib/postgres/`. This user's bashrc contains some help text on how to reset passwords and backup databases in PostgreSQL.

## Backups
Backups are provided by [AniNIX/Aether](../Aether). They can be restored with the following:
```
psql -U dbuser -d db -f backup.sql
```

# Available Clients
There are no clients for the Grimoire -- Singularity and Wiki maintain their tables.

# Additional Reference
Make sure to read the [PostgreSQL page on ArchWiki](https://wiki.archlinux.org/index.php/PostgreSQL) to understand how to maintain this system.

# Tables
* Singularity controls the ttrss database.
